:root {
  interpolate-size: allow-keywords;
}

/*
select.js-sku-select {
	font-size: 14px;
	margin-bottom: 5px;
  appearance: none;
  @supports (appearance: base-select) {
    &,
    &::picker(select) {
      appearance: base-select;
    }
  }
}

select.js-sku-select {
  display: flex;
  justify-content: space-between;
  min-width: 100%;
  align-items: center;
  color: gray;
  padding-block: 5px;
  padding-inline: 5px 30px;
  border-radius: 5px;
  border: 1px solid gray;
  cursor: pointer;
  !*font-weight: 700;*!
  background: white
    url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24' stroke-width='1.5' stroke='%23AAA' class='size-6'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='m19.5 8.25-7.5 7.5-7.5-7.5' /%3E%3C/svg%3E%0A")
    right 10px center / 20px no-repeat;
  @supports (appearance: base-select) {
    padding-inline: 10px;
    background-image: none;
    &::picker-icon {
      content: "";
      width: 20px;
      height: 20px;
      background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24' stroke-width='1.5' stroke='%23AAA' class='size-6'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='m19.5 8.25-7.5 7.5-7.5-7.5' /%3E%3C/svg%3E%0A");
      transition: rotate 0.2s ease-out;
    }
    &:open::picker-icon {
      rotate: 180deg;
    }
    &::picker(select) {
      padding: 0;
      margin-top: 5px;
      border: 1px solid gray;
      background: white;
      border-radius: 5px;
      !*font-weight: 400;*!

      opacity: 0;
      height: 0;
      overflow: clip;
      transition: height 0.5s ease-out, opacity 0.5s ease-out, overlay 0.5s,
        display 0.5s;

      transition-behavior: allow-discrete;
    }
    &:open::picker(select) {
      opacity: 1;
      height: auto;
      overflow: auto;
      @starting-style {
        opacity: 0;
        height: 0;
      }
    }
    option {
			width: 100% !important;
      padding: 5px;
      border-top: 1px solid lightgrey;
      cursor: pointer;
      transition-property: color, background;
      transition-duration: 0.2s;
      transition-timing-function: ease-out;
      border: none;
      &:where(:hover, :focus, :active) {
        background: #EEE;
        !*color: white;*!
      }
      &:checked {
        background: #CCC;
        color: white;
      }
      &::checkmark {
        display: none;
      }
      &:first-child {
        border: 0;
      }
    }
  }
}*/
